<?php

  $charitable_non_profit_theme_custom_setting_css = '';

	// Global Color
	$charitable_non_profit_theme_color = get_theme_mod('charitable_non_profit_theme_color', '#D7282F');

	$charitable_non_profit_theme_custom_setting_css .=':root {';
		$charitable_non_profit_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($charitable_non_profit_theme_color ).'!important;';
	$charitable_non_profit_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$charitable_non_profit_scroll_alignment = get_theme_mod('charitable_non_profit_scroll_alignment', 'right');

    if($charitable_non_profit_scroll_alignment == 'right'){
        $charitable_non_profit_theme_custom_setting_css .='.scroll-up{';
            $charitable_non_profit_theme_custom_setting_css .='right: 30px;!important;';
			$charitable_non_profit_theme_custom_setting_css .='left: auto;!important;';
        $charitable_non_profit_theme_custom_setting_css .='}';
    }else if($charitable_non_profit_scroll_alignment == 'center'){
        $charitable_non_profit_theme_custom_setting_css .='.scroll-up{';
            $charitable_non_profit_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $charitable_non_profit_theme_custom_setting_css .='}';
    }else if($charitable_non_profit_scroll_alignment == 'left'){
        $charitable_non_profit_theme_custom_setting_css .='.scroll-up{';
            $charitable_non_profit_theme_custom_setting_css .='left: 30px;!important;';
			$charitable_non_profit_theme_custom_setting_css .='right: auto;!important;';
        $charitable_non_profit_theme_custom_setting_css .='}';
    }

	// Related Product

	$charitable_non_profit_show_related_product = get_theme_mod('charitable_non_profit_show_related_product', true );

	if($charitable_non_profit_show_related_product != true){
		$charitable_non_profit_theme_custom_setting_css .='.related.products{';
			$charitable_non_profit_theme_custom_setting_css .='display: none;';
		$charitable_non_profit_theme_custom_setting_css .='}';
	}	

	// Featured Image Hover Effect
    $charitable_non_profit_show_featured = get_theme_mod('charitable_non_profit_featured_image_hide_show', 1);
    $charitable_non_profit_hover_effect = get_theme_mod('charitable_non_profit_single_post_featured_image_hover','none');

    if ( $charitable_non_profit_show_featured && $charitable_non_profit_hover_effect !== 'none' ) {

    $charitable_non_profit_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $charitable_non_profit_hover_effect === 'zoom-in' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $charitable_non_profit_hover_effect === 'zoom-out' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $charitable_non_profit_hover_effect === 'grayscale' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $charitable_non_profit_hover_effect === 'sepia' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $charitable_non_profit_hover_effect === 'blur' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $charitable_non_profit_hover_effect === 'bright' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $charitable_non_profit_hover_effect === 'translate' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $charitable_non_profit_hover_effect === 'scale' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $charitable_non_profit_show_featured = get_theme_mod('charitable_non_profit_featured_image_hide_show', 1);
    $charitable_non_profit_hover_effect = get_theme_mod('charitable_non_profit_product_featured_image_hover','none');

    if ( $charitable_non_profit_show_featured && $charitable_non_profit_hover_effect !== 'none' ) {

    $charitable_non_profit_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $charitable_non_profit_hover_effect === 'zoom-in' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $charitable_non_profit_hover_effect === 'zoom-out' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $charitable_non_profit_hover_effect === 'grayscale' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $charitable_non_profit_hover_effect === 'sepia' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $charitable_non_profit_hover_effect === 'blur' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $charitable_non_profit_hover_effect === 'bright' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $charitable_non_profit_hover_effect === 'translate' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $charitable_non_profit_hover_effect === 'scale' ) {
        $charitable_non_profit_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   